package constants

const (
	MechanismStaffPermissionUserView                     = "user:view"                     // 员工查看
	MechanismStaffPermissionUserEdit                     = "user:edit"                     // 员工编辑
	MechanismStaffPermissionUserDelete                   = "user:delete"                   // 员工删除
	MechanismStaffPermissionRoleView                     = "role:view"                     // 角色查看
	MechanismStaffPermissionRoleEdit                     = "role:edit"                     // 角色编辑
	MechanismStaffPermissionRoleDelete                   = "role:delete"                   // 角色删除
	MechanismStaffPermissionArchivesView                 = "archives:view"                 // 查看档案
	MechanismStaffPermissionArchivesEdit                 = "archives:edit"                 // 编辑档案
	MechanismStaffPermissionArchivesCreate               = "archives:create"               // 创建档案
	MechanismStaffPermissionArchivesRunAlgor             = "archives:runAlgor"             // 档案综合分析
	MechanismStaffPermissionArchivesExport               = "archives:export"               // 档案导出
	MechanismStaffPermissionArchivesManagePlan           = "archives:managePlan"           // 管理方案
	MechanismStaffPermissionArchivesManagePlanHealth     = "archives:managePlanHealth"     // 管理方案（功能医学）
	MechanismStaffPermissionArchivesMechanismConfigView  = "archives:mechanismConfig:view" // 获取档案配置信息
	MechanismStaffPermissionArchivesMechanismConfigEdit  = "archives:mechanismConfig:edit" // 编辑档案配置
	MechanismStaffPermissionDataView                     = "data:view"                     // 查看数据
	MechanismStaffPermissionDataEdit                     = "data:edit"                     // 编辑数据
	MechanismStaffPermissionDataUpload                   = "data:upload"                   // 上传数据
	MechanismStaffPermissionDataUploadVisitRecord        = "data:upload:visitRecord"       // 上传数据（巡访）
	MechanismStaffPermissionDataUploadDemand             = "data:upload:demand"            // 上传数据（生活需求）
	MechanismStaffPermissionDataUploadDailyMonitor       = "data:upload:dailyMonitor"      // 上传数据（日常监测数据）
	MechanismStaffPermissionDataUploadDiseaseVisit       = "data:upload:diseaseVisit"      // 上传数据（疾病回访数据）
	MechanismStaffPermissionDataUploadInspectData        = "data:upload:inspectData"       // 上传数据（检查数据）
	MechanismStaffPermissionDataUploadMedicalReport      = "data:upload:medicalReport"     // 上传数据（体检报告）
	MechanismStaffPermissionDataExportVisitRecord        = "data:export:visitRecord"       // 导出数据（巡访）
	MechanismStaffPermissionDataDashboard                = "data:dashboard"                // 数据看板
	MechanismStaffPermissionSurveyView                   = "survey:view"                   // 查看问卷
	MechanismStaffPermissionSurveyEdit                   = "survey:edit"                   // 编辑问卷
	MechanismStaffPermissionSurveyResultView             = "surveyResult:view"             // 查看问卷结果
	MechanismStaffPermissionSurveyResultEdit             = "surveyResult:edit"             // 编辑问卷结果基础信息
	MechanismStaffPermissionSurveyResultDelete           = "surveyResult:delete"           // 删除问卷结果
	MechanismStaffPermissionSurveyResultUpdateData       = "surveyResult:updateData"       // 添加问卷结果
	MechanismStaffPermissionArticleView                  = "article:view"                  // 知识库（文章）查看
	MechanismStaffPermissionArchivesTagCalcTaskView      = "archivesTagCalcTask:view"      // 查看档案标签计算任务
	MechanismStaffPermissionArchivesTagCalcTaskEdit      = "archivesTagCalcTask:edit"      // 编辑档案标签计算任务
	MechanismStaffPermissionMall                         = "mall"                          // 商城-商品管理
	MechanismStaffPermissionMallSwiper                   = "mall:swiper"                   // 商城-轮播图管理
	MechanismStaffPermissionMallRecommend                = "mall:recommend"                // 商城-推荐管理
	MechanismStaffPermissionMallStore                    = "mall:store"                    // 商城-店铺管理
	MechanismStaffPermissionMallOrder                    = "mall:order"                    // 商城-订单管理
	MechanismStaffPermissionMallCategory                 = "mall:category"                 // 商城-分类管理
	MechanismStaffPermissionMallRemark                   = "mall:remark"                   // 商城-下单须知
	MechanismStaffPermissionMallFeedback                 = "mall:feedback"                 // 商城-申诉
	MechanismStaffPermissionDepartmentView               = "department:view"               // 查看部门
	MechanismStaffPermissionDepartmentEdit               = "department:edit"               // 编辑部门
	MechanismStaffPermissionDepartmentDelete             = "department:delete"             // 删除部门
	MechanismStaffPermissionChannelMedicalReportView     = "channelMedicalReport:view"     // 查看渠道医疗报告
	MechanismStaffPermissionChannelMedicalReportEdit     = "channelMedicalReport:edit"     // 编辑渠道医疗报告
	MechanismStaffPermissionChannelMedicalReportDelete   = "channelMedicalReport:delete"   // 删除渠道医疗报告
	MechanismStaffPermissionChannelMedicalReportAnalysis = "channelMedicalReport:analysis" // 分析渠道医疗报告

	MechanismStaffPermissionMedicalCareDemandView   = "medicalCare:demand:view"   // 医养：居民需求查看
	MechanismStaffPermissionMedicalCareCategoryView = "medicalCare:category:view" // 医养：类别管理

	MechanismStaffPermissionDataPrivacyArchivesInfo = "dataPrivacy:archivesInfo" // 查看档案信息中隐私数据

	MechanismStaffMedicalDataGroup    = "medicalDataGroup"    // 医养数据集
	MechanismStaffMedicalDataTemplate = "medicalDataTemplate" // 数据模板

	MechanismStaffMerchantManage                               = "merchantManage"                     // 商户管理
	MechanismStaffPermissionArchivesReportManage               = "archivesReportManage"               // 档案报告管理
	MechanismStaffPermissionArchivesReportSuggestionManage     = "archivesReportSuggestionManage"     // 档案报告建议管理
	MechanismStaffPermissionArchivesReportWarningMessageManage = "archivesReportWarningMessageManage" // 档案报告特别提醒管理
	MechanismStaffPermissionArchivesReportPdfResult            = "archivesReportPdfResult"            // PDF报告

	MechanismStaffPermissionCustomSurveyManage       = "customSurveyManage"       // 自定义问卷管理
	MechanismStaffPermissionCustomSurveyResultManage = "customSurveyResultManage" // 自定义问卷结果管理

	MechanismStaffPermissionHealthManage = "healthManage" // 健康管理
	// 待办事项
	MechanismStaffPermissionHealthManageTodoListView = "headlthManage:todoList:view" // 查看/处理待办事项
	MechanismStaffPermissionHealthManageTodoListEdit = "headlthManage:todoList:edit" // 管理/新增待办事项
	MechanismStaffPermissionHealthManageTodoListSms  = "headlthManage:todoList:sms"  // 待办事项短信管理
	MechanismStaffPermissionHealthManageUserTag      = "healthManage:userTag"        // 用户标签管理

	// 方案库
	MechanismStaffPermissionHealthManageSuggestionView     = "healthManage:suggestion:view"     // 健康建议库查看
	MechanismStaffPermissionHealthManageSuggestionEdit     = "healthManage:suggestion:edit"     // 健康建议库管理
	MechanismStaffPermissionHealthManageTagView            = "healthManage:tag:view"            // 标签库查看
	MechanismStaffPermissionHealthManageTagEdit            = "healthManage:tag:edit"            // 标签库管理
	MechanismStaffPermissionHealthManageGroupView          = "healthManage:group:view"          // 管理分组库查看
	MechanismStaffPermissionHealthManageGroupEdit          = "healthManage:group:edit"          // 管理分组库管理
	MechanismStaffPermissionHealthManageVisitTemplateView  = "healthManage:visitTemplate:view"  // 回访模板库查看
	MechanismStaffPermissionHealthManageVisitTemplateEdit  = "healthManage:visitTemplate:edit"  // 回访模板库管理
	MechanismStaffPermissionHealthManageInspectProjectView = "healthManage:inspectProject:view" // 检查项目库查看
	MechanismStaffPermissionHealthManageInspectProjectEdit = "healthManage:inspectProject:edit" // 检查项目库管理

	MechanismStaffPermissionMembershipCardSet              = "membershipCard:set"              // 会员卡设置
	MechanismStaffPermissionMembershipCardBindRecord       = "membershipCard:bindRecord"       // 会员卡绑定记录
	MechanismStaffPermissionMembershipCardConsumeRecord    = "membershipCard:consumeRecord"    // 会员卡消费记录
	MechanismStaffPermissionMembershipCardMemberSet        = "membershipCard:memberSet"        // 会员设置
	MechanismStaffPermissionMembershipCardServiceSet       = "membershipCard:serviceSet"       // 服务设置
	MechanismStaffPermissionMembershipCardMemberServiceSet = "membershipCard:memberServiceSet" // 服务记录设置
	MechanismStaffPermissionMembershipCardCode             = "membershipCard:code"             // 会员卡激活码

	MechanismStaffPermissionAgency       = "agency"        // 代理商管理
	MechanismStaffPermissionAgencyView   = "agency:view"   // 代理商-查看
	MechanismStaffPermissionAgencyEdit   = "agency:edit"   // 代理商-编辑
	MechanismStaffPermissionAgencyDelete = "agency:delete" // 代理商-删除

	MechanismStaffPermissionAgencySettingView          = "agency:setting:view"          // 代理商配置查看
	MechanismStaffPermissionAgencySettingEdit          = "agency:setting:edit"          // 代理商配置修改
	MechanismStaffPermissionAgencyDeveloperSettingView = "agency:developerSetting:view" // 代理商开发者设置查看
	MechanismStaffPermissionAgencyDeveloperSettingEdit = "agency:developerSetting:edit" // 代理商开发者设置编辑
	MechanismStaffPermissionAgencyPromotionGoodsView   = "agency:promotionGoods:view"   // 代理商-推广商品查看
	MechanismStaffPermissionAgencyPromotionGoodsEdit   = "agency:promotionGoods:edit"   // 代理商-推广商品编辑
	MechanismStaffPermissionAgencyPromotionGoodsDelete = "agency:promotionGoods:delete" // 代理商-推广商品删除

	MechanismStaffPermissionAgencyPaymentSettingView   = "agency:paymentSetting:view"   // 代理商-支付设置查看
	MechanismStaffPermissionAgencyPaymentSettingEdit   = "agency:paymentSetting:edit"   // 代理商-支付设置编辑
	MechanismStaffPermissionAgencyPaymentSettingDelete = "agency:paymentSetting:delete" // 代理商-支付设置删除

	MechanismStaffPermissionOrderView             = "order:view"              // 订单查看
	MechanismStaffPermissionOrderProcessCallback  = "order:processCallback"   // 回调处理
	MechanismStaffPermissionAgencyOrderBillView   = "agency:orderBill:view"   // 代理商-订单账单查看
	MechanismStaffPermissionAgencyOrderBillEdit   = "agency:orderBill:edit"   // 代理商-订单账单查看
	MechanismStaffPermissionAgencyOrderBillSettle = "agency:orderBill:settle" // 代理商-订单账单结算
	MechanismStaffPermissionAgencyOrderBillExport = "agency:orderBill:export" // 代理商-订单账单导出
)

var MechanismStaffPermissionNames = map[string]*Permission{
	MechanismStaffPermissionUserView: {
		Name: "员工查看",
	},
	MechanismStaffPermissionUserEdit: {
		Name: "员工编辑",
	},
	MechanismStaffPermissionUserDelete: {
		Name: "员工删除",
	},
	MechanismStaffPermissionRoleView: {
		Name: "角色查看",
	},
	MechanismStaffPermissionRoleEdit: {
		Name: "角色编辑",
	},
	MechanismStaffPermissionRoleDelete: {
		Name: "角色删除",
	},
	MechanismStaffPermissionArchivesView: {
		Name: "查看档案",
	},
	MechanismStaffPermissionArchivesCreate: {
		Name: "创建档案",
	},
	MechanismStaffPermissionArchivesEdit: {
		Name: "编辑档案",
	},
	MechanismStaffPermissionArchivesExport: {
		Name: "档案导出",
	},
	MechanismStaffPermissionArchivesTagCalcTaskView: {
		Name: "查看档案标签计算任务",
	},
	MechanismStaffPermissionArchivesTagCalcTaskEdit: {
		Name: "创建档案标签计算任务",
	},
	MechanismStaffPermissionArchivesMechanismConfigView: {
		Name: "获取档案配置信息",
	},
	MechanismStaffPermissionArchivesMechanismConfigEdit: {
		Name: "编辑档案配置",
	},

	MechanismStaffPermissionDataPrivacyArchivesInfo: {
		Name: "档案敏感数据查看",
	},

	MechanismStaffPermissionDepartmentView: {
		Name: "部门查看",
	},
	MechanismStaffPermissionDepartmentEdit: {
		Name: "部门编辑",
	},
	MechanismStaffPermissionDepartmentDelete: {
		Name: "部门删除",
	},

	MechanismStaffPermissionSurveyView: {
		Name: "查看体检问卷",
	},
	MechanismStaffPermissionSurveyEdit: {
		Name: "编辑体检问卷",
	},
	MechanismStaffPermissionSurveyResultView: {
		Name: "查看体检问卷结果",
	},
	MechanismStaffPermissionSurveyResultEdit: {
		Name: "编辑体检问卷结果基础信息",
	},
	MechanismStaffPermissionSurveyResultDelete: {
		Name: "删除体检体检问卷结果",
	},
	MechanismStaffPermissionSurveyResultUpdateData: {
		Name: "答题、创建体检问卷结果",
	},

	MechanismStaffPermissionArchivesReportManage: {
		Name: "查看健康风险结果",
	},
	MechanismStaffPermissionArchivesReportSuggestionManage: {
		Name: "编辑健康风险健康建议",
	},
	MechanismStaffPermissionArchivesReportWarningMessageManage: {
		Name: "编辑特别提醒",
	},
	MechanismStaffPermissionArchivesReportPdfResult: {
		Name: "PDF报告",
	},

	MechanismStaffPermissionArchivesManagePlan: {
		Name: "查看管理计划",
	},
	MechanismStaffPermissionArchivesManagePlanHealth: {
		Name: "查看管理计划(功能医学)",
	},
	MechanismStaffPermissionHealthManage: {
		Name: "健康管理",
	},
	MechanismStaffPermissionHealthManageTodoListView: {
		Name: "查看/处理待办事项",
	},
	MechanismStaffPermissionHealthManageTodoListEdit: {
		Name: "管理/新增待办事项",
	},
	MechanismStaffPermissionHealthManageTodoListSms: {
		Name: "待办事项短信管理",
	},
	MechanismStaffPermissionHealthManageUserTag: {
		Name: "用户标签管理",
	},

	MechanismStaffPermissionHealthManageSuggestionView: {
		Name: "健康建议库查看",
	},
	MechanismStaffPermissionHealthManageSuggestionEdit: {
		Name: "健康建议库管理",
	},
	MechanismStaffPermissionHealthManageTagView: {
		Name: "标签库查看",
	},
	MechanismStaffPermissionHealthManageTagEdit: {
		Name: "标签库管理",
	},
	MechanismStaffPermissionHealthManageGroupView: {
		Name: "管理分组库查看",
	},
	MechanismStaffPermissionHealthManageGroupEdit: {
		Name: "管理分组库管理",
	},
	MechanismStaffPermissionHealthManageVisitTemplateView: {
		Name: "回访模板库查看",
	},
	MechanismStaffPermissionHealthManageVisitTemplateEdit: {
		Name: "回访模板库管理",
	},
	MechanismStaffPermissionHealthManageInspectProjectView: {
		Name: "检查项目库查看",
	},
	MechanismStaffPermissionHealthManageInspectProjectEdit: {
		Name: "检查项目库管理",
	},

	MechanismStaffPermissionCustomSurveyManage: {
		Name: "问卷管理",
	},
	MechanismStaffPermissionCustomSurveyResultManage: {
		Name: "问卷结果管理",
	},

	MechanismStaffPermissionDataView: {
		Name: "查看数据",
	},
	MechanismStaffPermissionDataEdit: {
		Name: "编辑数据",
	},
	MechanismStaffPermissionDataUpload: {
		Name: "上传数据",
	},
	MechanismStaffPermissionDataUploadVisitRecord: {
		Name: "上传数据（巡访）",
	},
	MechanismStaffPermissionDataUploadDemand: {
		Name: "上传数据（生活需求）",
	},
	MechanismStaffPermissionDataUploadDailyMonitor: {
		Name: "上传数据（日常监测）",
	},
	MechanismStaffPermissionDataUploadDiseaseVisit: {
		Name: "上传数据（疾病回访）",
	},
	MechanismStaffPermissionDataUploadInspectData: {
		Name: "上传数据（检查数据）",
	},
	MechanismStaffPermissionDataUploadMedicalReport: {
		Name: "上传数据（体检报告）",
	},
	MechanismStaffPermissionDataExportVisitRecord: {
		Name: "导出数据（巡访）",
	},
	MechanismStaffMedicalDataGroup: {
		Name: "数据集管理",
	},
	MechanismStaffMedicalDataTemplate: {
		Name: "数据模板管理",
	},

	MechanismStaffPermissionChannelMedicalReportView: {
		Name: "团检分析查看",
	},
	MechanismStaffPermissionChannelMedicalReportEdit: {
		Name: "团检分析编辑",
	},
	MechanismStaffPermissionChannelMedicalReportDelete: {
		Name: "团检分析删除",
	},
	MechanismStaffPermissionChannelMedicalReportAnalysis: {
		Name: "创建团检分析",
	},

	MechanismStaffPermissionDataDashboard: {
		Name: "数据概览查看",
	},

	MechanismStaffPermissionArticleView: {
		Name: "知识库",
	},
	MechanismStaffMerchantManage: {
		Name: "服务商管理",
	},

	MechanismStaffPermissionArchivesRunAlgor: {
		Name: "档案综合分析",
	},

	MechanismStaffPermissionMall: {
		Name: "商城管理",
	},
	MechanismStaffPermissionMallSwiper: {
		Name: "商城-轮播图管理",
	},
	MechanismStaffPermissionMallRecommend: {
		Name: "商城-推荐管理",
	},
	MechanismStaffPermissionMallStore: {
		Name: "商城-店铺管理",
	},
	MechanismStaffPermissionMallOrder: {
		Name: "商城-订单管理",
	},
	MechanismStaffPermissionMallCategory: {
		Name: "商城-分类管理",
	},
	MechanismStaffPermissionMallRemark: {
		Name: "商城-下单须知",
	},
	MechanismStaffPermissionMallFeedback: {
		Name: "商城-申诉",
	},

	MechanismStaffPermissionMedicalCareDemandView: {
		Name: "居民需求查看",
	},
	MechanismStaffPermissionMedicalCareCategoryView: {
		Name: "类别管理",
	},
	MechanismStaffPermissionMembershipCardSet: {
		Name: "会员卡设置",
	},
	MechanismStaffPermissionMembershipCardBindRecord: {
		Name: "会员卡绑定记录",
	},
	MechanismStaffPermissionMembershipCardConsumeRecord: {
		Name: "会员卡消费记录",
	},
	MechanismStaffPermissionMembershipCardCode: {
		Name: "会员卡激活码",
	},
	MechanismStaffPermissionMembershipCardMemberSet: {
		Name: "会员设置",
	},
	MechanismStaffPermissionMembershipCardServiceSet: {
		Name: "服务设置",
	},
	MechanismStaffPermissionMembershipCardMemberServiceSet: {
		Name: "服务记录设置",
	},
	MechanismStaffPermissionAgency: {
		Name: "第三方管理",
	},
	MechanismStaffPermissionAgencyView: {
		Name: "第三方查看",
	},
	MechanismStaffPermissionAgencyEdit: {
		Name: "第三方编辑",
	},
	MechanismStaffPermissionAgencyDelete: {
		Name: "第三方删除",
	},
	MechanismStaffPermissionAgencySettingView: {
		Name: "第三方配置查看",
	},
	MechanismStaffPermissionAgencySettingEdit: {
		Name: "第三方配置修改",
	},
	MechanismStaffPermissionAgencyDeveloperSettingView: {
		Name: "第三方开发者设置查看",
	},
	MechanismStaffPermissionAgencyDeveloperSettingEdit: {
		Name: "第三方开发者设置编辑",
	},
	MechanismStaffPermissionAgencyPromotionGoodsView: {
		Name: "第三方-推广商品查看",
	},
	MechanismStaffPermissionAgencyPromotionGoodsEdit: {
		Name: "第三方-推广商品编辑",
	},
	MechanismStaffPermissionAgencyPromotionGoodsDelete: {
		Name: "第三方-推广商品删除",
	},
	MechanismStaffPermissionAgencyPaymentSettingView: {
		Name: "第三方-支付设置查看",
	},
	MechanismStaffPermissionAgencyPaymentSettingEdit: {
		Name: "第三方-支付设置编辑",
	},
	MechanismStaffPermissionAgencyPaymentSettingDelete: {
		Name: "第三方-支付设置删除",
	},
	MechanismStaffPermissionAgencyOrderBillView: {
		Name: "第三方-订单账单查看",
	},
	MechanismStaffPermissionAgencyOrderBillEdit: {
		Name: "第三方-订单账单编辑",
	},
	MechanismStaffPermissionAgencyOrderBillSettle: {
		Name: "第三方-订单账单结算",
	},
	MechanismStaffPermissionAgencyOrderBillExport: {
		Name: "第三方-订单账单导出",
	},
	MechanismStaffPermissionOrderView: {
		Name: "订单查看",
	},
	MechanismStaffPermissionOrderProcessCallback: {
		Name: "手动处理回调",
	},
}
